Bug 247894 - Review Request: R-multcomp - Simultaneous inference for general linear hypotheses R Package
Review Request: R-multcomp - Simultaneous inference for general linear hypoth...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 247858
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 16:51 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 16:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-07-11 16:51:25 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-multcomp.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-multcomp-0.992-1.src.rpm
Description:
This R package contains functions for simultaneous tests and confidence
intervals for general linear hypotheses in parametric models, including
linear, generalized linear, linear mixed effects, and survival models.
Comment 1 Jason Tibbitts 2007-07-13 12:09:14 EDT
The URL is not correct (or at least it gets me a 404); seems like it should be
http://cran.r-project.org/src/contrib/Descriptions/%{packname}.html

rpmlint has the two usual R package complaints, plus:
  W: R-multcomp mixed-use-of-spaces-and-tabs (spaces: line 11, tab: line 4)
which isn't a problem.

Again the test suite spews a bunch of diffs but still succeeds.

Since the only real issue is the URL, I'll approve this and you can fix it when
you check in.

* source files match upstream:
   58040d741b4036407b4c8f9967b8c163c0ba3bd2eff615f1cf09735f85542f77  
   multcomp_0.992-2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   R-multcomp = 0.992-1.fc8
  =
   /bin/sh
   R
   R-mvtnorm
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, just fix the URL.
Comment 2 Orion Poplawski 2007-07-24 17:18:50 EDT
URL fixed.

New Package CVS Request
=======================
Package Name: R-multcomp
Short Description: Simultaneous inference for general linear hypotheses R Package
Owners: orion
Branches: F-7 FC-6 EL-5
Comment 3 Orion Poplawski 2007-10-17 16:59:20 EDT
Built (finally).

Note You need to log in before you can comment on or make changes to this bug.